Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 531832 (CVE-2011-3934) - <media-video/libav-9.17: Multiple vulnerabilities (CVE-2011-{3934,3935,3946}, CVE-2013-{0848,0851,0852,0860,0868,3672,3674})
Summary: <media-video/libav-9.17: Multiple vulnerabilities (CVE-2011-{3934,3935,3946},...
Status: RESOLVED FIXED
Alias: CVE-2011-3934
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-06 19:08 UTC by Nikoli
Modified: 2016-06-30 10:16 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikoli 2014-12-06 19:08:49 UTC
libav-9.17 was added to tree 12 Oct 2014, but latest stable is still version 9.14. A lot bugs were fixed since it including security problems:
https://git.libav.org/?p=libav.git;a=blob;f=Changelog;h=355b7dc8e623f2780f91a288edfe215a745e8f8a;hb=606bbd50b1ebaa3c040fc7cab84f1d8bb5d3d248

$ git diff v9.14..v9.17 -- Changelog|grep CVE
+- vp3: Copy all 3 frames for thread updates (CVE-2011-3934)
+- mpegts: Do not try to write a PMT larger than SECTION_SIZE (CVE-2014-2263)
+- error_concealment: avoid using the picture if not fully setup (CVE-2013-0860)
+- cdgraphics: switch to bytestream2 (CVE-2013-3674)
+- huffyuvdec: check width size for yuv422p (CVE-2013-0848)
+- mmvideo: check horizontal coordinate too (CVE-2013-3672)
+- wmalosslessdec: fix mclms_coeffs* array size (CVE-2014-2098)
+- lavc: Check the image size before calling get_buffer (CVE-2011-3935)
+- huffyuv: Check and propagate function return values (CVE-2013-0868)
+- h264: prevent theoretical infinite loop in SEI parsing (CVE-2011-3946)
+- pgssubdec: Check RLE size before copying (CVE-2013-0852)
+- eamad: use the bytestream2 API instead of AV_RL (CVE-2013-0851)
Comment 1 Jeroen Roovers gentoo-dev 2014-12-07 10:54:45 UTC
Stabilise what and where? Plz?
Comment 2 Agostino Sarubbo gentoo-dev 2014-12-07 12:21:14 UTC
amd64 stable
Comment 3 Jeroen Roovers gentoo-dev 2014-12-08 19:02:11 UTC
Stable for HPPA.

Arch teams, please test and mark stable:
=media-video/libav-9.17
Targeted stable KEYWORDS : alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
Comment 4 Agostino Sarubbo gentoo-dev 2014-12-12 09:39:57 UTC
ia64 stable
Comment 5 Markus Meier gentoo-dev 2014-12-20 16:43:15 UTC
arm stable
Comment 6 Agostino Sarubbo gentoo-dev 2014-12-23 09:31:49 UTC
alpha stable
Comment 7 Agostino Sarubbo gentoo-dev 2014-12-24 14:37:59 UTC
ppc stable
Comment 8 Agostino Sarubbo gentoo-dev 2014-12-24 14:48:06 UTC
ppc64 stable
Comment 9 Agostino Sarubbo gentoo-dev 2014-12-26 09:20:08 UTC
sparc stable
Comment 10 Yury German Gentoo Infrastructure gentoo-dev Security 2015-01-07 02:04:01 UTC
Ping on x86 stabilization. 

New GLSA Request filed.
Comment 11 Andreas Schürch gentoo-dev 2015-01-08 08:49:05 UTC
x86 is also done now. Thanks guys!
Comment 12 Yury German Gentoo Infrastructure gentoo-dev Security 2015-01-15 22:37:28 UTC
Arches, Thank you for your work.
Maintainer(s), please drop the vulnerable version(s).
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2015-02-07 20:50:10 UTC
This issue was resolved and addressed in
 GLSA 201502-08 at http://security.gentoo.org/glsa/glsa-201502-08.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).
Comment 14 Kristian Fiskerstrand gentoo-dev Security 2015-02-07 21:18:30 UTC
Reopening for cleanup.

@maintainers: please close this bug once cleanup is done
Comment 15 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-06-11 10:56:46 UTC
@maintainers(s), please cleanup the vulnerable version.